<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Sat Aug 25 23:47:49 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>markus.keingeldfuerdiemensa</title>
<meta name="date" content="2018-08-25">
<meta name="keywords" content="markus.keingeldfuerdiemensa package">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="markus.keingeldfuerdiemensa";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Package</li>
<li><a href="../../markus/keingeldfuerdiemensa/backend/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?markus/keingeldfuerdiemensa/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;markus.keingeldfuerdiemensa</h1>
<div class="docSummary">
<div class="block">Hauptpaket und Paket für alle Klassen, die direkt zum UI und dem Lebenszyklus der App gehören</div>
</div>
<p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../markus/keingeldfuerdiemensa/AppSettingsFragment.html" title="class in markus.keingeldfuerdiemensa">AppSettingsFragment</a></td>
<td class="colLast">
<div class="block">Fragment, welches die App-Einstellungen anzeigt. Mit Hilfe der PreferenceFragmentCompat werden diese automatisch geladen und gespeichert.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.html" title="class in markus.keingeldfuerdiemensa">CategoryAdapter</a></td>
<td class="colLast">
<div class="block">Adapter für das <a href="../../markus/keingeldfuerdiemensa/CategoryFragment.html" title="class in markus.keingeldfuerdiemensa"><code>class CategoryFragment</code></a>, der das RecyclerView mit Inhalt füllt und die ausgewählte Kategorie überwacht</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../markus/keingeldfuerdiemensa/CategoryFragment.html" title="class in markus.keingeldfuerdiemensa">CategoryFragment</a></td>
<td class="colLast">
<div class="block">Fragment um eine Liste von Kategorien anzuzeigen</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../markus/keingeldfuerdiemensa/MainActivity.html" title="class in markus.keingeldfuerdiemensa">MainActivity</a></td>
<td class="colLast">
<div class="block">Hauptklasse der App, die alle wichtigen Layout-Teile lädt, Dialoge öffnet und die Navigationsleiste überwacht</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../markus/keingeldfuerdiemensa/MoneyRecordAdapter.html" title="class in markus.keingeldfuerdiemensa">MoneyRecordAdapter</a></td>
<td class="colLast">
<div class="block">Adapter für das <a href="../../markus/keingeldfuerdiemensa/RecordFragment.html" title="class in markus.keingeldfuerdiemensa"><code>class RecordFragment</code></a>, der das RecyclerView mit Inhalt füllt und die ausgewählte Kategorie überwacht</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../markus/keingeldfuerdiemensa/NewCategoryDialogFragment.html" title="class in markus.keingeldfuerdiemensa">NewCategoryDialogFragment</a></td>
<td class="colLast">
<div class="block">DialogFragment um eine neue Kategorie zu erstellen</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../markus/keingeldfuerdiemensa/NewRecordDialogFragment.html" title="class in markus.keingeldfuerdiemensa">NewRecordDialogFragment</a></td>
<td class="colLast">
<div class="block">DialogFragment um einen neuen Eintrag zu erstellen</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../markus/keingeldfuerdiemensa/RecordFragment.html" title="class in markus.keingeldfuerdiemensa">RecordFragment</a></td>
<td class="colLast">
<div class="block">Fragment um eine Liste von Einträgen und eine Übersicht der Einträge anzuzeigen</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package markus.keingeldfuerdiemensa Description">Package markus.keingeldfuerdiemensa Description</h2>
<div class="block"><p><p>Hauptpaket und Paket für alle Klassen, die direkt zum UI und dem Lebenszyklus der App gehören</p></p></div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Package</li>
<li><a href="../../markus/keingeldfuerdiemensa/backend/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?markus/keingeldfuerdiemensa/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
